NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Formboard::FlipComponentBuilder Class Reference

Builder for flip component operation used in formboard. More...

Inheritance diagram for NXOpen::Formboard::FlipComponentBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  AxisType { AxisTypePathLocations, AxisTypeCustom }
 Enum for the selection of axis type for flipping formboard component. More...
 

Public Member Functions

NXOpen::Formboard::FlipComponentBuilder::AxisType AxisTypeEnum ()
 Returns the user selected NXOpen::Formboard::FlipComponentBuilder::AxisType method
Created in NX7.5.0. More...
 
NXOpen::SelectNXObjectCompSel ()
 Returns the formboard component selected by user for flipping operation
Created in NX7.5.0. More...
 
std::vector< NXOpen::NXObject * > CreateDatumAxis ()
 Creates datums axis at locations where selected formboard component is connected to path. More...
 
NXOpen::AxisCustomAxis ()
 Returns the custom axis which is created when NXOpen::Formboard::FlipComponentBuilder::AxisType is NXOpen::Formboard::FlipComponentBuilder::AxisTypeCustom. More...
 
void FlipComponent ()
 Flips the selected formboard component by rotation angle about selected axis. More...
 
void InitializeFromComponent ()
 Initializes or resets ( start or stop ) drag operation based on the component selected for flipping operation. More...
 
NXOpen::SelectNXObjectPathAxisSel ()
 Returns the axis selected by user about which selected formboard component will be flipped. More...
 
void SetAxisTypeEnum (NXOpen::Formboard::FlipComponentBuilder::AxisType axisTypeEnum)
 Sets the user selected NXOpen::Formboard::FlipComponentBuilder::AxisType method
Created in NX7.5.0. More...
 
void SetCustomAxis (NXOpen::Axis *customAxis)
 Sets the custom axis which is created when NXOpen::Formboard::FlipComponentBuilder::AxisType is NXOpen::Formboard::FlipComponentBuilder::AxisTypeCustom. More...
 
void SetRotationAngle (double angle)
 Set the angle to rotate the component. More...
 
void StartDrag ()
 Starts the drag operation of selected object. More...
 
void StopDrag ()
 Stop the drag operation of selected object. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Builder for flip component operation used in formboard.

Allows user to flip the component by 180 degrees about an axis which is orthogonal to Z axis so that after flipping , the component lies in XY plane.
To create a new instance of this class, use NXOpen::Formboard::FormboardManager::CreateFlipComponentBuilder
Default values.

Property Value

AxisTypeEnum

PathLocations


Created in NX7.5.0.

Member Enumeration Documentation

Enum for the selection of axis type for flipping formboard component.

Enumerator
AxisTypePathLocations 

Flip component by path locations.

AxisTypeCustom 

Flip component by user defined custom axis.

Member Function Documentation

NXOpen::Formboard::FlipComponentBuilder::AxisType NXOpen::Formboard::FlipComponentBuilder::AxisTypeEnum ( )

Returns the user selected NXOpen::Formboard::FlipComponentBuilder::AxisType method
Created in NX7.5.0.



License requirements : routing_harness ("Routing Harness")

NXOpen::SelectNXObject* NXOpen::Formboard::FlipComponentBuilder::CompSel ( )

Returns the formboard component selected by user for flipping operation
Created in NX7.5.0.



License requirements : routing_harness ("Routing Harness")

std::vector<NXOpen::NXObject *> NXOpen::Formboard::FlipComponentBuilder::CreateDatumAxis ( )

Creates datums axis at locations where selected formboard component is connected to path.

Returns

Created in NX4.0.0.

License requirements : routing_harness ("Routing Harness")
NXOpen::Axis* NXOpen::Formboard::FlipComponentBuilder::CustomAxis ( )

Returns the custom axis which is created when NXOpen::Formboard::FlipComponentBuilder::AxisType is NXOpen::Formboard::FlipComponentBuilder::AxisTypeCustom.


Created in NX7.5.0.

License requirements : routing_harness ("Routing Harness")

void NXOpen::Formboard::FlipComponentBuilder::FlipComponent ( )

Flips the selected formboard component by rotation angle about selected axis.


Created in NX7.5.0.

License requirements : routing_harness ("Routing Harness")

void NXOpen::Formboard::FlipComponentBuilder::InitializeFromComponent ( )

Initializes or resets ( start or stop ) drag operation based on the component selected for flipping operation.


Created in NX7.5.0.

License requirements : routing_harness ("Routing Harness")

NXOpen::SelectNXObject* NXOpen::Formboard::FlipComponentBuilder::PathAxisSel ( )

Returns the axis selected by user about which selected formboard component will be flipped.


Created in NX7.5.0.

License requirements : routing_harness ("Routing Harness")

void NXOpen::Formboard::FlipComponentBuilder::SetAxisTypeEnum ( NXOpen::Formboard::FlipComponentBuilder::AxisType  axisTypeEnum)

Sets the user selected NXOpen::Formboard::FlipComponentBuilder::AxisType method
Created in NX7.5.0.



License requirements : routing_harness ("Routing Harness")

Parameters
axisTypeEnumaxistypeenum
void NXOpen::Formboard::FlipComponentBuilder::SetCustomAxis ( NXOpen::Axis customAxis)

Sets the custom axis which is created when NXOpen::Formboard::FlipComponentBuilder::AxisType is NXOpen::Formboard::FlipComponentBuilder::AxisTypeCustom.


Created in NX7.5.0.

License requirements : routing_harness ("Routing Harness")

Parameters
customAxiscustomaxis
void NXOpen::Formboard::FlipComponentBuilder::SetRotationAngle ( double  angle)

Set the angle to rotate the component.


Created in NX7.5.3.

License requirements : routing_harness ("Routing Harness")

Parameters
angleRotation angle
void NXOpen::Formboard::FlipComponentBuilder::StartDrag ( )

Starts the drag operation of selected object.

Does nothing if drag has already been started.


Created in NX7.5.0.

License requirements : routing_harness ("Routing Harness")

void NXOpen::Formboard::FlipComponentBuilder::StopDrag ( )

Stop the drag operation of selected object.

Does nothing if drag has not been started.


Created in NX7.5.0.

License requirements : routing_harness ("Routing Harness")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.